#
# spec file for package gqcam (Version 0.9)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib glib-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gtk gtk-devel gzip info insserv klogd less libacl libattr libcom_err libgcc libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gqcam
BuildRequires:  gtk+-devel libjpeg-devel libpng-devel
URL:            http://cse.unl.edu/~cluening/gqcam/
License:        GPL
Group:          Productivity/Multimedia/Other
Summary:        Nice Webcam Client for Most USB Webcams
Provides:       gqcam
Autoreqprov:    on
Version:        0.9
Release:        75%{?dist}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Patch0:         gqcam-0.9.diff
Patch1:         gqcam-0.9-returnint.diff

%description
This is a small Webcam client, which captures images from the command
line or can be run with a GUI. A list of supported webcams can be found
at http://cse.unl.edu/~cluening/gqcam.



Authors:
--------
    Cory Lueninghoener <cluenin1@bigred.unl.edu>

%prep
%setup -q
%patch0
%patch1 -p 1

%build
make OPTFLAGS='%optflags' -k

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{_bindir}
cp -a %{name} %{buildroot}%{_bindir}

%clean
rm -rf %buildroot

%files
%defattr(-, root, root)
%doc CHANGES COPYING INSTALL README README.threads
%{_bindir}/%{name}

%changelog -n gqcam
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Apr 29 2005 - yxu@suse.de
- fixed serious compiler warning
* Mon Feb 02 2004 - jdsn@suse.de
- Corrections in spec file
* Tue Jan 20 2004 - jdsn@suse.de
- Initial release
